Get Featured Api Collections (Admin)
GET /obp/v7.0.0/management/api-collections/featured
OBPv6.0.0-getFeaturedApiCollectionsAdmin Roles: CanManageFeaturedApiCollections Api-CollectionAPI
Get all featured API collections with their sort order (admin view).
This endpoint returns the featured collections stored in the database with their sort order. It is intended for administrators to manage the featured list.
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
JSON response body fields (4)
- api_collection_id
- 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
- featured_api_collection_id
- 9uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
- featured_api_collections
- featured_api_collections
- sort_order
- 1
Example success response
{
"featured_api_collections": [
{
"featured_api_collection_id": "9uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
"api_collection_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
"sort_order": 1
}
]
}Possible errors (3)
- OBP-20001: User not logged in. Authentication is required!
- OBP-20006: User is missing one or more roles:
- OBP-50000: Unknown Error.